KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase control-plane all - Generate all static Pod manifest files

SYNOPSIS

kubeadm init phase control-plane all [OPTIONS]

DESCRIPTION

Generate all static Pod manifest files

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--apiserver-extra-args=
    A set of extra flags to pass to the API Server or override default ones in form of =

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--control-plane-endpoint=""
    Specify a stable IP address or DNS name for the control plane.

--controller-manager-extra-args=
    A set of extra flags to pass to the Controller Manager or override default ones in form of =

--dry-run=false
    Don't apply any changes; just output what would be done.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are: ControlPlaneKubeletLocalMode=true|false (ALPHA - default=false) EtcdLearnerMode=true|false (default=true) NodeLocalCRISocket=true|false (ALPHA - default=false) PublicKeysECDSA=true|false (DEPRECATED - default=false) RootlessControlPlane=true|false (ALPHA - default=false) WaitForAllControlPlaneComponents=true|false (ALPHA - default=false)

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--patches=""
    Path to a directory that contains files named "target[suffix][+patchtype].extension". For example, "kube-apiserver0+merge.yaml" or just "etcd.json". "target" can be one of "kube-apiserver", "kube-controller-manager", "kube-scheduler", "etcd", "kubeletconfiguration", "corednsdeployment". "patchtype" can be one of "strategic", "merge" or "json" and they match the patch formats supported by kubectl. The default "patchtype" is "strategic". "extension" must be either "json" or "yaml". "suffix" is an optional string that can be used to determine which patches are applied first alpha-numerically.

--pod-network-cidr=""
    Specify range of IP addresses for the pod network. If set, the control plane will automatically allocate CIDRs for every node.

--scheduler-extra-args=
    A set of extra flags to pass to the Scheduler or override default ones in form of =

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Generates all static Pod manifest files for control plane components,
      # functionally equivalent to what is generated by kubeadm init.
      kubeadm init phase control-plane all

      # Generates all static Pod manifest files using options read from a configuration file.
      kubeadm init phase control-plane all --config config.yaml

SEE ALSO

kubeadm-init-phase-control-plane(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!